/*
 *  SokoBan, a Sokoban game.
 *  Copyright (C) 2008  Colomban Wendling <ban@herbesfolles.org>
 * 
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


#ifndef __DIALOG_H__
#define __DIALOG_H__


#include <SDL/SDL.h>
#include "sokoban.h"


#define FONTSIZE 60
//#define BORDERX  50 // see dialog.c => it is now a static variable
//#define BORDERY -10 //                    ''


#define INPUT_MAXLEN 33 /* for 32 character input */


typedef enum _FontSize FontSize;
enum _FontSize
{
   SMALL  = 20,
   MEDIUM = 30,
   BIG    = 60
};


void dialog_setFontSize (FontSize size);
MyBool dialog_init (void);
void dialog_exit (void);
void dialog_info (SDL_Surface *screen, int x, int y, const char* str);

void dialog_multiline (SDL_Surface *screen, int x, int y, const char* str);

char* dialog_inputWithDefaultText (SDL_Surface *screen,
                                   const char* text, int x, int y);

#define dialog_input(screen, x, y) \
   dialog_inputWithDefaultText (screen, NULL, x, y)

#endif /* guard */
